Main Page Widgets Namespaces Book

# Gdk::AtomStringTraits Struct Reference

List of all members.

## Public Types

typedef std::string | CppType
typedef GdkAtom | CType
typedef GdkAtom | CTypeNonConst

## Static Public Member Functions

GdkAtom | to_c_type (GdkAtom atom)
void | release_c_type (GdkAtom)
GdkAtom | to_c_type (const std::string& atom_name)
std::string | to_cpp_type (GdkAtom atom)

## Member Typedef Documentation

typedef std::string Gdk::AtomStringTraits::CppType

typedef GdkAtom Gdk::AtomStringTraits::CType

typedef GdkAtom Gdk::AtomStringTraits::CTypeNonConst

## Member Function Documentation

void Gdk::AtomStringTraits::release_c_type | ( | GdkAtom |  | ) | `[inline, static]`

GdkAtom Gdk::AtomStringTraits::to_c_type | ( | const std::string& | atom_name | ) | `[static]`

GdkAtom Gdk::AtomStringTraits::to_c_type | ( | GdkAtom | atom | ) | `[inline, static]`

std::string Gdk::AtomStringTraits::to_cpp_type | ( | GdkAtom | atom | ) | `[static]`

The documentation for this struct was generated from the following file:

- types.h